cvp.vo

## Class PrescrizioneIdentificataResponse

- java.lang.Object
- - cvp.vo.PrescrizioneIdentificataResponse

-     public class PrescrizioneIdentificataResponse
      extends java.lang.Object

  Contiene i dati della prescrizione.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `cdaInstance` Contiene il CDA della prescrizione, elemento facoltativo.
    `private DatiAssistitoInChiaro` | `datiAssistitoInChiaro` Contiene i dati dell'assistio in chiaro, sotto espressa richiesta dell'erogatore mediante il tag tipoOperazione=4, elemento facoltativo.
    `private ElencoAnomalie` | `elencoAnomalie`
    `private ElencoFarmaciErogati` | `elencoFarmaciErogati` ElencoFarmaciErogati contiene la lista dei farmaci gia erogati, elemento opzionale.
    `private java.lang.Boolean` | `oscurato` Contiene l'informazione sull'oscuramento della prescrizione nel fascicolo elettronico.
    `private Prescrizione` | `prescrizione` Contiene tutti i dati relativi alla prescrizione, elemento facoltativo.
    `private java.lang.String` | `statoRicetta` Contiene lo stato SAC della ricetta - solo per ricette dematerializzate, elemento facoltativo.
    `private java.lang.String` | `testata1` Contiene l'eventuale protocollo del piano terapeutico associato al farmaco prescritto
    `private java.lang.String` | `testata2` Contiene l'informazione che trattasi di ricetta contenente farmaci in dpc

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrescrizioneIdentificataResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCdaInstance()`
    `DatiAssistitoInChiaro` | `getDatiAssistitoInChiaro()`
    `ElencoAnomalie` | `getElencoAnomalie()`
    `ElencoFarmaciErogati` | `getElencoFarmaciErogati()`
    `java.lang.Boolean` | `getOscurato()`
    `Prescrizione` | `getPrescrizione()`
    `java.lang.String` | `getStatoRicetta()`
    `java.lang.String` | `getTestata1()`
    `java.lang.String` | `getTestata2()`
    `void` | `setCdaInstance(java.lang.String cdaInstance)`
    `void` | `setDatiAssistitoInChiaro(DatiAssistitoInChiaro datiAssistitoInChiaro)`
    `void` | `setElencoAnomalie(ElencoAnomalie elencoAnomalie)`
    `void` | `setElencoFarmaciErogati(ElencoFarmaciErogati elencoFarmaciErogati)`
    `void` | `setOscurato(java.lang.Boolean oscurato)`
    `void` | `setPrescrizione(Prescrizione prescrizione)`
    `void` | `setStatoRicetta(java.lang.String statoRicetta)`
    `void` | `setTestata1(java.lang.String testata1)`
    `void` | `setTestata2(java.lang.String testata2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cdaInstance

          private java.lang.String cdaInstance

      Contiene il CDA della prescrizione, elemento facoltativo.

    - #### prescrizione

          private Prescrizione prescrizione

      Contiene tutti i dati relativi alla prescrizione, elemento facoltativo.

    - #### datiAssistitoInChiaro

          private DatiAssistitoInChiaro datiAssistitoInChiaro

      Contiene i dati dell'assistio in chiaro, sotto espressa richiesta dell'erogatore mediante il tag tipoOperazione=4, elemento facoltativo.

    - #### statoRicetta

          private java.lang.String statoRicetta

      Contiene lo stato SAC della ricetta - solo per ricette dematerializzate, elemento facoltativo.

    - #### elencoFarmaciErogati

          private ElencoFarmaciErogati elencoFarmaciErogati

      ElencoFarmaciErogati contiene la lista dei farmaci gia erogati, elemento opzionale.

    - #### oscurato

          private java.lang.Boolean oscurato

      Contiene l'informazione sull'oscuramento della prescrizione nel fascicolo elettronico.

    - #### testata2

          private java.lang.String testata2

      Contiene l'informazione che trattasi di ricetta contenente farmaci in dpc

    - #### testata1

          private java.lang.String testata1

      Contiene l'eventuale protocollo del piano terapeutico associato al farmaco prescritto

    - #### elencoAnomalie

          private ElencoAnomalie elencoAnomalie

  - ### Constructor Detail

    - #### PrescrizioneIdentificataResponse

          public PrescrizioneIdentificataResponse()

  - ### Method Detail

    - #### getStatoRicetta

          public java.lang.String getStatoRicetta()

    - #### setStatoRicetta

          public void setStatoRicetta(java.lang.String statoRicetta)

    - #### getElencoFarmaciErogati

          public ElencoFarmaciErogati getElencoFarmaciErogati()

    - #### setElencoFarmaciErogati

          public void setElencoFarmaciErogati(ElencoFarmaciErogati elencoFarmaciErogati)

    - #### getCdaInstance

          public java.lang.String getCdaInstance()

    - #### setCdaInstance

          public void setCdaInstance(java.lang.String cdaInstance)

    - #### getPrescrizione

          public Prescrizione getPrescrizione()

    - #### setPrescrizione

          public void setPrescrizione(Prescrizione prescrizione)

    - #### getElencoAnomalie

          public ElencoAnomalie getElencoAnomalie()

    - #### setElencoAnomalie

          public void setElencoAnomalie(ElencoAnomalie elencoAnomalie)

    - #### getDatiAssistitoInChiaro

          public DatiAssistitoInChiaro getDatiAssistitoInChiaro()

    - #### setDatiAssistitoInChiaro

          public void setDatiAssistitoInChiaro(DatiAssistitoInChiaro datiAssistitoInChiaro)

    - #### getOscurato

          public java.lang.Boolean getOscurato()

    - #### setOscurato

          public void setOscurato(java.lang.Boolean oscurato)

    - #### getTestata2

          public java.lang.String getTestata2()

    - #### setTestata2

          public void setTestata2(java.lang.String testata2)

    - #### getTestata1

          public java.lang.String getTestata1()

    - #### setTestata1

          public void setTestata1(java.lang.String testata1)